/*
 *  $Id: mpi.h,v 1.5 1993/11/12 12:19:33 doss Exp $
 *
 *  (C) 1993 by Argonne National Laboratory and Mississipi State University.
 *      All rights reserved.  See COPYRIGHT in top-level directory.
 */

/* user include file for MPI programs */

#ifndef _MPI_INCLUDE
#define _MPI_INCLUDE

#include "dmpiatom.h"
#include "mpi_bc.h"
#include "mpir.h"
#include "mpi_ad.h"

extern MPI_Comm MPI_COMM_WORLD;
extern void MPI_MAX();
extern void MPI_MIN();
extern void MPI_SUM();
extern void MPI_PROD();
extern void MPI_LAND();
extern void MPI_BAND();
extern void MPI_LOR();
extern void MPI_BOR();
extern void MPI_LXOR();
extern void MPI_BXOR();

#endif
